Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.model
Class ModelBook

    java.lang.Object
      net.minecraft.client.model.ModelBase
          net.minecraft.client.model.ModelBook

    public class ModelBook

extends ModelBase

Field Summary
`ModelRenderer` | `bookSpine` The renderer of spine of the book
`ModelRenderer` | `coverLeft` Left cover renderer (when facing the book)
`ModelRenderer` | `coverRight` Right cover renderer (when facing the book)
`ModelRenderer` | `flippingPageLeft` Right cover renderer (when facing the book)
`ModelRenderer` | `flippingPageRight` Right cover renderer (when facing the book)
`ModelRenderer` | `pagesLeft` The left pages renderer (when facing the book)
`ModelRenderer` | `pagesRight` The right pages renderer (when facing the book)

Fields inherited from class net.minecraft.client.model.ModelBase
`boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

Constructor Summary
`ModelBook()`

Method Summary
`void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)` Sets the models various rotation angles then renders the model.
`void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

Methods inherited from class net.minecraft.client.model.ModelBase
`func_85181_a, getTextureOffset, setLivingAnimations`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### coverRight

    public ModelRenderer coverRight

  Right cover renderer (when facing the book)

### coverLeft

    public ModelRenderer coverLeft

  Left cover renderer (when facing the book)

### pagesRight

    public ModelRenderer pagesRight

  The right pages renderer (when facing the book)

### pagesLeft

    public ModelRenderer pagesLeft

  The left pages renderer (when facing the book)

### flippingPageRight

    public ModelRenderer flippingPageRight

  Right cover renderer (when facing the book)

### flippingPageLeft

    public ModelRenderer flippingPageLeft

  Right cover renderer (when facing the book)

### bookSpine

    public ModelRenderer bookSpine

  The renderer of spine of the book

Constructor Detail

### ModelBook

    public ModelBook()

Method Detail

### render

    public void render(Entity par1Entity,
                       float par2,
                       float par3,
                       float par4,
                       float par5,
                       float par6,
                       float par7)

  Sets the models various rotation angles then renders the model.

  Overrides:
    `render` in class `ModelBase`

### setRotationAngles

    public void setRotationAngles(float par1,
                                  float par2,
                                  float par3,
                                  float par4,
                                  float par5,
                                  float par6,
                                  Entity par7Entity)

  Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.

  Overrides:
    `setRotationAngles` in class `ModelBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD